curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/students/{studentSourcedId}/classes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/students/{studentSourcedId}/classes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/students/{studentSourcedId}/classes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"classes": [
{
"sourcedId": "<string>",
"title": "<string>",
"classCode": "<string>",
"location": "<string>",
"course": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>"
},
"school": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>"
},
"terms": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>"
}
],
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"grades": [
"3"
],
"subjects": [],
"subjectCodes": [
"<string>"
],
"periods": [
"<string>"
],
"resources": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>"
}
]
}
],
"totalCount": 123,
"pageCount": 123,
"pageNumber": 123,
"offset": 123,
"limit": 123
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Get Classes for a Student
To get the set of Classes related to a specific Student. If the specified student cannot be identified within the service provider, the api will return a 404 error code and message ‘Student not found.’
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The sourcedId of the student
Query Parameters
Comma-separated list of fields to include in the response
"sourcedId,name"
The maximum number of items to return in the paginated response. While the OneRoster specification does not define a maximum limit, this implementation enforces a maximum of 3000 to prevent abuse and ensure optimal performance.
1 <= x <= 3000100
The number of items to skip in the paginated response
x >= 00
The field to sort the response by
The order to sort the response by
asc, desc The filter to apply to the response
"status='active'"
PROPRIETARY EXTENSION: Free-text search across multiple fields. Provides convenient text-based querying beyond the standard OneRoster filter parameter.
"john"